﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Loupe
{
 public partial class Page : UserControl
 {
  public Page()
  {
   InitializeComponent();
  }

  private void LayoutRoot_MouseEnter(object sender, MouseEventArgs e)
  {
   imgMG.Opacity = 1; imgBig.Opacity = 1;
  }

  private void LayoutRoot_MouseLeave(object sender, MouseEventArgs e)
  {
   imgMG.Opacity = 0; imgBig.Opacity = 0;
  }

  private void LayoutRoot_MouseMove(object sender, MouseEventArgs e)
  {
   double X = e.GetPosition(this).X;
   double Y = e.GetPosition(this).Y;
   imgMG.SetValue(Canvas.LeftProperty, X - 116);
   imgMG.SetValue(Canvas.TopProperty, Y - 104);
   scaleImg.CenterX = X;
   scaleImg.CenterY = Y;
   clipBig.Center = new Point(X, Y);
  }
 }
}
